Page MenuHome

2.8 Color sampling alters color value
Closed, ResolvedPublic

Description

Win 10, gtx970
Blender 2.8 91a155833e59

Sample the blue color from the object. Then you go in the color code and press enter and the color code will change from 0257FF to 0156FF.

Please consult the blend file and video demonstration.

https://www.youtube.com/watch?v=O9yQeQdtrwQ&feature=youtu.be

Details

Differential Revisions
D4727: Limit value input range for color picker
Type
Bug

Event Timeline

And another problem, base on this matter, is that the black/white value is different when you click on the color.

To recreate this bug you need to enter the color code: "ff0100" in the RGB node, and then you will see this problem:


Jacques Lucke (JacquesLucke) triaged this task as Confirmed, Medium priority.Jan 17 2019, 11:22 AM
Campbell Barton (campbellbarton) renamed this task from 2.8 Color code to 2.8 Color sampling alters color value.Feb 11 2019, 6:07 AM
Brecht Van Lommel (brecht) closed this task as Resolved.Jun 6 2019, 5:50 PM

This is working in latest master.